Package com.verisign.epp.codec.launchpolicy.v01

## Enum EPPLaunchPolicyPhase.Phase

- java.lang.Object
- - java.lang.Enum<EPPLaunchPolicyPhase.Phase>
  - - com.verisign.epp.codec.launchpolicy.v01.EPPLaunchPolicyPhase.Phase

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EPPLaunchPolicyPhase.Phase>`
  Enclosing class:
    EPPLaunchPolicyPhase

      public static enum EPPLaunchPolicyPhase.Phase
      extends java.lang.Enum<EPPLaunchPolicyPhase.Phase>

  `Phase` defines the type of phase, which include the following possible values:
  - `preDelegation` - Phase when pre-delegation testing is done.
  - `preLaunch` - Phase prior to the sunrise phase where no writable operations will be allowed.
  - `sunrise` - Phase when trademark holders can submit registration applications with trademark information that can be validated by the server.
  - `landrush` - Post-sunrise phase when non-trademark holders are allowed to register domain names.
  - `claims` - Trademark claims phase as defined by Trademark Clearinghouse model of displaying a claims notice to clients for domain names that match trademarks.
  - `open` - Post-launch phase that is also referred to as "steady state". Servers MAY require additional trademark protection with this phase.
  - `custom` - Custom launch phase that is defined using the "name" attribute.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `claims` |
    `custom` |
    `landrush` |
    `open` |
    `preDelegation` |
    `preLaunch` |
    `sunrise` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EPPLaunchPolicyPhase.Phase` | `getPhase​(java.lang.String aString)` | Get the phase enumerated value given the matching string.
    `java.lang.String` | `toString()` | Convert the enumerated `Phase` value to a `String`.
    `static EPPLaunchPolicyPhase.Phase` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EPPLaunchPolicyPhase.Phase[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### preDelegation

          public static final EPPLaunchPolicyPhase.Phase preDelegation

    - #### preLaunch

          public static final EPPLaunchPolicyPhase.Phase preLaunch

    - #### sunrise

          public static final EPPLaunchPolicyPhase.Phase sunrise

    - #### landrush

          public static final EPPLaunchPolicyPhase.Phase landrush

    - #### claims

          public static final EPPLaunchPolicyPhase.Phase claims

    - #### open

          public static final EPPLaunchPolicyPhase.Phase open

    - #### custom

          public static final EPPLaunchPolicyPhase.Phase custom

  - ### Method Detail

    - #### values

          public static EPPLaunchPolicyPhase.Phase[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPLaunchPolicyPhase.Phase c : EPPLaunchPolicyPhase.Phase.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPLaunchPolicyPhase.Phase valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getPhase

          public static EPPLaunchPolicyPhase.Phase getPhase​(java.lang.String aString)

      Get the phase enumerated value given the matching string.
      Parameters:
        `aString` - `Phase` enumerated string to convert to an enumerated `Phase` instance.
      Returns:
        Enumerated `Phase` value matching the `String`.
      Throws:
        `java.security.InvalidParameterException` - If `aString` does not match an enumerated `Phase` string value.

    - #### toString

          public java.lang.String toString()

      Convert the enumerated `Phase` value to a `String`.
      Overrides:
        `toString` in class `java.lang.Enum<EPPLaunchPolicyPhase.Phase>`